import logging

log = logging.getLogger(__name__)
log.setLevel(logging.INFO)

class StatusBarHandler(logging.Handler):
    def __init__(self, status_bar):
        super().__init__()
        self.status_bar = status_bar
    
    def emit(self, record):
        message = self.format(record)
        self.status_bar.showMessage(message, 0)